Parameters
reference_id
number
reference_type
string
parent
number
page
number
per_page
number
GET/v1/comments
bash
curl https://api.tradly.app/v1/comments \
-H "Authorization: Bearer YOUR_PUBLISHABLE_OR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{
"reference_id": 42,
"reference_type": "listings_qa",
"parent": 0,
"page": 1,
"per_page": 10
}'RESPONSE
json
{
"status": true,
"data": {
"comments": [
{
"id": 105,
"tenant_id": "1791",
"account_id": null,
"user_id": "11474",
"reference_id": 42,
"reference_type": "listings_qa",
"message": "Is this product available for immediate shipping?",
"active": true,
"edited": false,
"likes": 3,
"unlikes": 0,
"liked": false,
"unliked": false,
"created_at": "2026-08-08T12:00:00.000Z",
"updated_at": "2026-08-08T12:00:00.000Z",
"user": {
"id": "11474",
"first_name": "Thahaseen",
"last_name": "Buyer",
"profile_pic": "https://example.com/avatar.jpg"
},
"replies": [
{
"id": 108,
"tenant_id": "1791",
"account_id": 12,
"user_id": "9023",
"reference_id": 42,
"reference_type": "listings_qa",
"message": "Yes, we ship within 24 business hours!",
"active": true,
"edited": false,
"likes": 1,
"unlikes": 0,
"liked": false,
"unliked": false,
"created_at": "2026-08-08T12:15:00.000Z",
"updated_at": "2026-08-08T12:15:00.000Z",
"user": {
"id": "9023",
"first_name": "Tan",
"last_name": "Shoppe",
"profile_pic": "https://example.com/seller-avatar.jpg"
}
}
]
}
]
}
}